Bug 125134 - Auto-hide of gnome panel broken
Auto-hide of gnome panel broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 19:10 EDT by Ken Crandall
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 08:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Crandall 2004-06-02 19:10:17 EDT
Description of problem:
Auto-hide of panel is not consistant

Version-Release number of selected component (if applicable):
gnome-panel-2.6.0-9

How reproducible:
Create a 2nd panel, make it a side panel, enable autohide

Steps to Reproduce:
1. Move mouse over panel
2. Panel pops-out
3. Panel never autohides
  
Actual results:
Panel never autohides

Expected results:
Panel autohides

Additional info:
General feeling that autohide is "touchier" than in GNOME 2.2/2.4.  It
 should be more "aggressive", IMHO, when autohiding itself.
Comment 1 Dee-Ann LeBlanc 2004-07-06 23:01:20 EDT
I have this same problem with my main (lower) panel. It will not
consitently autohide. I set it to autohide, and it works for a while
after GUI login, and then eventually stops auto-hiding but at the same
time all of my applications think they have the extra screen real
estate. I have to log out of the GUI and back in to make it auto-hide
again. I've tried shutting off auto-hiding and then turning it back
on, all in the same session, but this does not fix the problem.

gnome-panel-2.6.0-9
Comment 2 Jesse Glick 2004-07-08 12:31:33 EDT
I have the same problem as in comment #1 (also using
gnome-panel-2.6.0-9). I have just one panel, at Bottom, set to
autohide. Normally it is hidden, but sometimes it pops up for no
apparent reason: after switching virtual desktops; after cycling
window focus and winding up on certain windows (but not others); after
pressing a KB shortcut to open the Run dialog; etc. Note that in all
these cases my action is initiated from the keyboard.

Moving the mouse over the panel and then away reliably hides it. But
it is very annoying to have the panel periodically pop up on top of a
maximized application while I am trying to work; I have to interrupt
whatever I am doing and reach for the mouse just to hide it again.

One exception: if I send a window to "fullscreen mode" (maximized, no
borders), the panel reliably hides itself. This would be fine - I like
fullscreen mode - except that some Metacity bug seems to make child
dialogs (or windows?) be inaccessible if the parent is in fullscreen
mode. Making a window fullscreen and then turning that back off does
seem to hide the panel, at least until the next time I switch to a
different window etc.

I do not remember seeing such a problem on RH9. Did not ever try FC1.
I use Metacity, the default WM.

I would rather have no panel at all than have it behave the way it
does. Unfortunately "killall gnome-panel" does not help; it just
restarts automatically. "killall -STOP gnome-panel" works, but then KB
shortcuts to post the Gnome menus do not work, so that is no good. And
gnome-panel helpfully prevents me from deleting the last panel.
Comment 3 Mark McLoughlin 2004-10-01 08:43:21 EDT
I fixed a bunch of issues with autohide gnome-panel-2.8.0.1 which is
in latest rawhide and will be in FC3 test3. If you can reproduce with
that version or later, please re-open.

Note You need to log in before you can comment on or make changes to this bug.